Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003296TestLinkAPI - XMLRPCpublic2010-03-17 21:262015-05-01 07:41
Reportersavelandr 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.4 
Fixed in Version1.9.13 (2015 #1) 
Summary0003296: Please add an API call to get test suites other than first-level ones
DescriptionCurrently the only way to retrieve a test suite's ID via the API is with the getFirstLevelTestSuitesForTestProject. This is pretty limiting as to how you can organize your test cases in folders, because you can only insert tests one level deep.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0002645closedfman New method GetTestsuitesforTestsuite 

-  Notes
(0009432)
savelandr (reporter)
2010-03-17 21:29

I apologize, I searched initially to see if there was anything similar. But I missed this bug: 0002645 That method, if added, would satisfy my requirement for fetching non first-level suites.
(0023275)
Mr.Bricodage (updater)
2015-04-29 21:31

>> That method, if added, would satisfy my requirement for fetching non first-level suites.

method in 0002645 has been implemented ==> Issue can be closed

- Issue History
Date Modified Username Field Change
2010-03-17 21:26 savelandr New Issue
2010-03-17 21:29 savelandr Note Added: 0009432
2010-03-17 23:40 amitkhullar Relationship added child of 0002645
2013-04-25 17:30 fman Category TL API => XMLRPC API
2013-04-25 17:30 fman Category XMLRPC API => API - XMLRPC
2015-04-29 21:31 Mr.Bricodage Note Added: 0023275
2015-04-29 21:31 Mr.Bricodage Relationship added child of 0007083
2015-05-01 07:41 fman QA Team - Task Workflow Status => READY FOR TESTING
2015-05-01 07:41 fman Status new => closed
2015-05-01 07:41 fman Assigned To => fman
2015-05-01 07:41 fman Resolution open => fixed
2015-05-01 07:41 fman Fixed in Version => 1.9.13 (2015 #1)
2015-05-03 15:24 Mr.Bricodage Relationship deleted child of 0007083



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker